{
  "compilerOptions": {
    "target": "es5",
    "lib": [
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "incremental": true,
    "baseUrl": ".", //https://nextjs.org/docs/advanced-features/module-path-aliases
  },
  "include": [
    "process.d.ts",
    "next-env.d.ts",
    "next-auth.d.ts",
    "**/*.ts",
    "**/*.tsx",
    "pages/cart/locations/index.js",
    "pages/cart/locations/[id].tsx.deleted",
    "pages/cart/locations/[id].tsx.typed",
    "components/location/LocationForm.js",
    "pages/cart/locations/[id].tsx.old",
    "components/publisher/ShiftsList.js",
    "src/helpers/data.js",
    "components/survey/SurveyForm.js"
  ],
  "exclude": [
    "node_modules"
  ],
  "baseUrl": ".",
  "paths": {
    "@components/*": [
      "components/*"
    ],
    "@pages/*": [
      "pages/*"
    ],
    "@app/*": [
      "app/*"
    ],
  }
}